Bug 1272029 - RFE: Static ip address of ctlplane network should be auto configured by default
Summary: RFE: Static ip address of ctlplane network should be auto configured by default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 7.0 (Kilo)
Assignee: James Slagle
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-15 10:15 UTC by Ofer Blaut
Modified: 2016-04-18 07:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-22 13:21:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ofer Blaut 2015-10-15 10:15:09 UTC
Description of problem:

Static ip address of ctlplane network should be auto configured without the need of user to configure it in:
network-environment.yaml
and custom NIC configs.

Provision network details are known when undercloud.conf is created, so we should be able to "find" interface of that subnet and make it static.

We have encounter and issue of configure  custom NIC configs with specific interface names, but the provision network was not configured , ending with DHCP enabled on provision network.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create a setup with provision interface different from all other interfaces 
2. use interface names , and don't include the provision interfere ( or use default ospd virt setup) 
3. check provision interface is configured  with DHCP 

Actual results:


Expected results:


Additional info:

Comment 1 Ofer Blaut 2015-12-22 13:21:07 UTC
Static ip address of control plane were introduced in ospd 7.1


Note You need to log in before you can comment on or make changes to this bug.